<?php declare(strict_types=1);

namespace Albis\AlbisLease\AlbisProductGroup;

use Shopware\Core\Framework\DataAbstractionLayer\EntityCollection;

/**
 * @method void              add(AlbisProductGroupEntity $entity)
 * @method void              set(string $key, AlbisProductGroupEntity $entity)
 * @method AlbisProductGroupEntity[]    getIterator()
 * @method AlbisProductGroupEntity[]    getElements()
 * @method AlbisProductGroupEntity|null get(string $key)
 * @method AlbisProductGroupEntity|null first()
 * @method AlbisProductGroupEntity|null last()
 */
class AlbisProductGroupEntityCollection extends EntityCollection
{
    protected function getExpectedClass(): string
    {
        return AlbisProductGroupEntity::class;
    }
}